Cue Docs
Template Management API

Create Template

Create a new WhatsApp message template.

Guide: Template Management API
POST
/v1/templates

Create a new WhatsApp message template.

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API token from Settings > API Tokens in your Cue workspace. See Authentication.

Header Parameters

Idempotency-Key?string|null
Authorization?|

An API token from Settings > API Tokens, as Bearer <token>.

Request Body

application/json
  1. body
name*Name
Match^[a-zA-Z][a-zA-Z0-9_ ]*$
Length1 <= length <= 512
locale*Locale
Match^[a-zA-Z]{2,3}(_[a-zA-Z]{2})?$
category*TemplateCategory
Value in"MARKETING""UTILITY""AUTHENTICATION"
template_type*TemplateType
Value in"STANDARD""CAROUSEL""AUTHENTICATION"
content*
enabled_in_livechat*Enabled In Livechat
continue_session*Continue Session

Response Body

Successful Response

application/json
  1. response

Public template representation.

Excluded upstream fields (intentionally not exposed):

  • waba_id: internal provider account identifier
  • provider_template_id: internal provider reference
  • version: optimistic locking (internal concurrency control)
  • role: binding-level access role (OWNER/USER)
  • quality_score: Meta quality rating (may be exposed in future)
uuid*Uuid
Formatuuid
workspace_uuid*Workspace Uuid
Formatuuid
name*Name
canonical_name*Canonical Name
locale*Locale
category*TemplateCategory
Value in"MARKETING""UTILITY""AUTHENTICATION"
template_type*TemplateType
Value in"STANDARD""CAROUSEL""AUTHENTICATION"
status*TemplateStatus
Value in"PREPARING""PENDING""APPROVED""REJECTED""PAUSED""FLAGGED""DISABLED""IN_APPEAL""PENDING_DELETION""LOCKED""IN_REVIEW""DELETED""CREATE_FAILED""UPDATE_FAILED""DELETE_FAILED"
rejection_reason?string|null
content*
enabled_in_livechat*Enabled In Livechat
continue_session*Continue Session
created_at*string|null
updated_at*string|null
Example Request
curl -X POST 'https://api.cuedesk.com/v1/templates' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "locale": "string",
  "category": "MARKETING",
  "template_type": "STANDARD",
  "content": {},
  "enabled_in_livechat": true,
  "continue_session": true
}'
Example Response
{
  "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  "workspace_uuid": "8360bf61-4604-4f22-99dc-2afa910fd8c7",
  "name": "string",
  "canonical_name": "string",
  "locale": "string",
  "category": "MARKETING",
  "template_type": "STANDARD",
  "status": "PREPARING",
  "rejection_reason": "string",
  "content": {
    "header": {
      "format": "TEXT",
      "text": "string",
      "example": [
        "string"
      ]
    },
    "body": {
      "text": "string",
      "example": [
        "string"
      ]
    },
    "footer": {
      "text": "string"
    },
    "buttons": [],
    "cards": [
      {
        "header": {
          "format": "TEXT",
          "text": "string",
          "example": [
            "string"
          ]
        },
        "body": {
          "text": "string",
          "example": [
            "string"
          ]
        },
        "buttons": []
      }
    ],
    "auth": {
      "auth_category_type": "string",
      "code_expiry_minutes": 0,
      "auth_body_inputs": {
        "add_security_message": true,
        "add_contact": true
      }
    }
  },
  "enabled_in_livechat": true,
  "continue_session": true,
  "created_at": "string",
  "updated_at": "string"
}